import c4d
from c4d import gui

def main():

    c4d.CallCommand(14046) # Abtrennen

    ActiveObject = doc.GetActiveObject() # Define ActiveObject to look for the currently selected object in the manager
    if ActiveObject == None: return # If there is no object selected, call it quits here
    PrevObject = ActiveObject.GetPred() # Look for the previous object in the manager relative to the currently selected object
    if PrevObject == None: return # If there is no previous object, call it quits here
    doc.StartUndo() # Marks the beginning of a range of code that should be reversible
    doc.AddUndo(c4d.UNDOTYPE_BITS, ActiveObject) # Make the following deselection of the active object reversible
    ActiveObject.DelBit(c4d.BIT_ACTIVE) # Deselect the active object
    doc.AddUndo(c4d.UNDOTYPE_BITS, PrevObject) # Make the following selection of the previous object reversible
    PrevObject.SetBit(c4d.BIT_ACTIVE) # Make the previous object an active selection
    doc.EndUndo() # Marks the end of a range of code that should be reversible
    c4d.EventAdd() # Refresh the scene to update the change

    c4d.CallCommand(12109) # Löschen

    ActiveObject = doc.GetActiveObject() # Define ActiveObject to look for the currently selected object in the manager
    if ActiveObject == None: return # If there is no object selected, call it quits here
    NextObject = ActiveObject.GetNext() # Look for the next object in the manager relative to the currently selected object
    if NextObject == None: return # If there is no next object, call it quits here
    doc.StartUndo() # Marks the beginning of a range of code that should be reversible
    doc.AddUndo(c4d.UNDOTYPE_BITS, ActiveObject) # Make the following deselection of the active object reversible
    ActiveObject.DelBit(c4d.BIT_ACTIVE) # Deselect the active object
    doc.AddUndo(c4d.UNDOTYPE_BITS, NextObject) # Make the following selection of the next object reversible
    NextObject.SetBit(c4d.BIT_ACTIVE) # Make the next object an active selection
    doc.EndUndo() # Marks the end of a range of code that should be reversible
    c4d.EventAdd() # Refresh the scene to update the change 

    c4d.CallCommand(12112) # Alles selektieren

if __name__=='__main__':
    main()